> ## Documentation Index
> Fetch the complete documentation index at: https://hedera-0c6e0218-mintlify-bc559771.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Get version information

> Returns version information for the server and its dependencies, along with the git commit hash



## OpenAPI

````yaml /smart-contract-verification-api.yaml get /version
openapi: 3.1.0
info:
  version: 2.1.0
  title: Sourcify APIv2
  description: >-
    Welcome to the Sourcify's APIv2.


    Important differences between the deprecated legacy API and the new APIv2:

    - **Ticketing**: The verfication requests resolve into tickets/verification
    jobs. 
      - Previously the verification happened during the HTTP request, which resulted in timeouts if compilation took longer
    - **Standard JSON as default**: In the current design we take the standard
    JSON format as our main verification endpoint. Other methods such as
    "multi-file" or "single-file" should be handled by frontends or tooling to
    format into std-json. We still support verification with metadata at
    `/v2/verify/metadata`.

    - **Lean API**: We keep the number of endpoints minimal compared to v1. We
    won't have a session API. 

    - **Detailed contract response**: Prev. we only returned contract files of a
    contract. Now we can return details at `/contract/{chainId}/{address}`.


    By submitting source code for verification, you grant Sourcify (and the
    Argot Collective) a non-exclusive, worldwide, irrevocable, royalty-free
    licence to reproduce, store, and publicly display the submitted source code
    for the purposes of verification, archival, and public inspection.
  license:
    name: MIT
    url: https://github.com/argotorg/sourcify/blob/master/LICENSE
  contact:
    name: Sourcify
    url: https://sourcify.dev
    email: hello@sourcify.dev
servers:
  - url: https://sourcify.dev/server
    description: Production server
security: []
tags:
  - name: Contract Lookup
    description: API v2 - Tools and endpoints for looking up contract information
  - name: Verify Contracts
    description: API v2 - Submit a contract for verification
  - name: Verification Jobs
    description: API v2 - Check the status of a verification job
  - name: Other
    description: General server endpoints
paths:
  /version:
    get:
      tags:
        - Other
      summary: Get version information
      description: >-
        Returns version information for the server and its dependencies, along
        with the git commit hash
      responses:
        '200':
          description: Version information
          content:
            application/json:
              schema:
                type: object
                properties:
                  sourcifyServerVersion:
                    type: string
                    description: Version of the Sourcify server
                    example: 3.6.1
                  libSourcifyVersion:
                    type: string
                    description: Version of @ethereum-sourcify/lib-sourcify
                    example: ^3.0.2
                  sourcifyCompilersVersion:
                    type: string
                    description: Version of @ethereum-sourcify/compilers
                    example: ^1.0.12
                  bytecodeUtilsVersion:
                    type: string
                    description: Version of @ethereum-sourcify/bytecode-utils
                    example: ^1.3.15
                  gitCommitHash:
                    type: string
                    description: Git commit hash the server was built from
                    example: 755c0fcf1a2b3c4d5e6f7890abcdef1234567890

````